# -*- rpm-spec -*-
# $Id: wavesurfer,v 1.25 2003/01/14 14:28:04 lioka Exp $

%define major 1.4

Name: wavesurfer
Version: %major.6
Release: alt1

Summary: WaveSurfer is a tool for sound visualization and manipulation
License: BSD
Group: Sound
URL: http://www.speech.kth.se/%name/

Source0: %url/%name-%version.tar.bz2
Source1: ogg.plug
Source2: %name.menu
Patch0: %name-1.4-browser.patch
Patch1: %name-1.4-tmpdir.patch

Requires: tk >= 8.4.0-alt1 tcllib >= 1.2-alt2 tcl-snack >= 2.2-alt2
Autoreq: noshell
BuildPreReq: iconv
BuildArch: noarch

%description
%name is an Open Source tool for sound visualization and manipulation.
It has been designed to suit both novice and advanced users. WaveSurfer has
a simple and logical user interface that provides functionality in an intuitive
way and which can be adapted to different tasks. It can be used as a stand-alone
tool suited for a wide range of tasks in speech research and education, but is also
a platform for more advanced applications. WaveSurfer can be extended through
plug-ins. It is also possible to embedded it in other applications or to control
it remotely.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
# rearrange a bit executables
%__install -d -m0755 %buildroot%_bindir
%__sed 's|^\(exec wish\)8\.3\(.\+$\)|\18\.4\2|' < wavesurfer.tcl > %buildroot%_bindir/wavesurfer
%__sed -e 's/wavesurfer.tcl/wavesurfer/g' -e 's/remoteOpen.tcl/wsurf-remote/' \
	< tools/remoteOpen.tcl > %buildroot%_bindir/wsurf-remote
%__sed -e 's/createshapes.tcl/wsurf-createshapes/' \
	< tools/createshapes.tcl > %buildroot%_bindir/wsurf-createshapes
%__chmod 0755 %buildroot%_bindir/*

# library, plugins, configs
%__install -d -m0755 %buildroot%_tcldatadir/%name/{plugins,configurations,msgs}
%__install -p -m0644 wsurf%major/*.tcl %buildroot%_tcldatadir/%name
# we already have these in tcl and tcllib
%__rm -f %buildroot%_tcldatadir/%name/{cmdline,http}.tcl
%__grep -vE 'cmdline|http' < wsurf%major/pkgIndex.tcl > %buildroot%_tcldatadir/%name/pkgIndex.tcl
%__install -p -m0644 %SOURCE1 wsurf%major/plugins/*.plug %buildroot%_tcldatadir/%name/plugins
%__install -p -m0644 wsurf%major/configurations/*.conf %buildroot%_tcldatadir/%name/configurations

# menus, icons
%__install -p -m0644 -D %SOURCE2 %buildroot%_menudir/%name
%__install -p -m0644 -D icons/ws48.xpm %buildroot%_iconsdir/ws.xpm

# msgcat expects contents in utf-8
iconv -f iso8859-1 -t utf-8 msgs/se.msg > %buildroot%_tcldatadir/%name/msgs/se.msg
iconv -f koi8-r -t utf-8 msgs/ru_ru.koi8-r.msg > %buildroot%_tcldatadir/%name/msgs/ru.msg
%__chmod 0644 %buildroot%_tcldatadir/%name/msgs/*.msg

# cleanups
%__chmod 0644 README*

# python go away 
%__rm -f demos/*.py

%post
%update_menus

%postun
%clean_menus

%files
%doc README* LICENSE*
%doc doc demos
%_bindir/*
%_tcldatadir/%name
%_menudir/*
%_iconsdir/*

%changelog
* Tue Jan 14 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.4.6-alt1
- 1.4.6

* Tue Oct  8 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.4.4-alt1
- 1.4.4

* Wed Jun  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.4-alt3
- moved to %_tcldatadir

* Sat May 18 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.4-alt1
- 1.4

* Wed Nov 28 2001  <s.bolshakov@belcaf.com> 1.1-alt1
- First spec file for ALT Linux distribution.



